Update brokerage fee
curl --request PATCH \
--url https://api.example.com/brokerage-fees/{brokerageFeeId} \
--header 'Content-Type: application/json' \
--data '
{
"minCommission": 50,
"maxCommission": 50,
"defaultCommission": 50,
"minCommissionLimit": 50,
"maxCommissionLimit": 50,
"minTotalCommission": 50,
"maxTotalCommission": 50,
"minManagementFee": 1,
"maxManagementFee": 1
}
'import requests
url = "https://api.example.com/brokerage-fees/{brokerageFeeId}"
payload = {
"minCommission": 50,
"maxCommission": 50,
"defaultCommission": 50,
"minCommissionLimit": 50,
"maxCommissionLimit": 50,
"minTotalCommission": 50,
"maxTotalCommission": 50,
"minManagementFee": 1,
"maxManagementFee": 1
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
minCommission: 50,
maxCommission: 50,
defaultCommission: 50,
minCommissionLimit: 50,
maxCommissionLimit: 50,
minTotalCommission: 50,
maxTotalCommission: 50,
minManagementFee: 1,
maxManagementFee: 1
})
};
fetch('https://api.example.com/brokerage-fees/{brokerageFeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "BROKERAGE_FEE_NOT_FOUND"
}brokerage-firms
Update brokerage fee
PATCH
/
brokerage-fees
/
{brokerageFeeId}
Update brokerage fee
Path Parameters
Body
application/json
Min commission fee percentage
Required range:
0 <= x <= 100Max commission fee percentage
Required range:
0 <= x <= 100Default commission fee percentage
Required range:
0 <= x <= 100Min commission fee percentage limit
Required range:
0 <= x <= 100Max commission fee percentage limit
Required range:
0 <= x <= 100Min total commission fee percentage
Required range:
0 <= x <= 100Max total commission fee percentage
Required range:
0 <= x <= 100Min management fee amount in cents
Required range:
x >= 0Max management fee amount in cents
Required range:
x >= 0Response
The response is of type object.
Was this page helpful?
⌘I

